/*
   This file is part of j2dcg.
   j2dcg is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   j2dcg is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   You should have received a copy of the GNU General Public License
   along with j2dcg; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package view;

import java.awt.FlowLayout;

import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;

import controller.TransformersIndex;

/**
 * <p>Title: ShearingTransformation</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 Sbastien Bois, Eric Paquette</p>
 * <p>Company: (TS) - cole de Technologie Suprieure</p>
 * @author unascribed
 * @version 
 */
public class ShearingTransformation extends JPanel {
	/**
	 * 
	 */
	private JRadioButton shearX;
	/**
	 * 
	 */
	private JRadioButton shearY;
	/**
	 * 
	 */
	private ButtonGroup group;
	/**
	 * 
	 */
	private JLabel valueLabel;
	/**
	 * 
	 */
	private JTextField valueTextField;
	/**
	 * 
	 */
	private TransformersIndex ti;
	/**
	 * 
	 *
	 */
	public ShearingTransformation(TransformersIndex ti){
		this.ti = ti;
		//setLayout(new GridLayout());
		setLayout(new FlowLayout());
		
		// mediator
		group = new ButtonGroup();
		
		valueLabel = new JLabel("Value");
		valueTextField = new JTextField(10);
				
		shearX = new JRadioButton("Shear X");	
		shearY = new JRadioButton("Shear Y");
				
		group.add(shearX);
		group.add(shearY);
		
		add(valueLabel);
		add(valueTextField);	
		add(shearX);
		add(shearY);	
	}
}
