/*
   This file is part of j2dcg.
   j2dcg is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   j2dcg is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   You should have received a copy of the GNU General Public License
   along with j2dcg; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package view;

import java.awt.FlowLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import controller.TransformersIndex;

/**
 * <p>Title: TranslationTransformationView</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 Sbastien Bois, Eric Paquette</p>
 * <p>Company: (TS) - cole de Technologie Suprieure</p>
 * @author unascribed
 * @version 
 */
public class TranslationTransformation extends JPanel{
	/**
	 * 
	 */
	private JLabel xLabel;
	/**
	 * 
	 */
	private JTextField xTextField;
	/**
	 * 
	 */
	private JLabel yLabel;
	/**
	 * 
	 */
	private JTextField yTextField;
	/**
	 * 
	 */
	private TransformersIndex ti;
	
	public TranslationTransformation(TransformersIndex ti) {
		this.ti = ti;
		//setLayout(new GridLayout(2,2));
		setLayout(new FlowLayout());
		
		xLabel = new JLabel("X");
		xTextField = new JTextField(10);
		
		yLabel = new JLabel("Y");
		yTextField = new JTextField(10);
				
		add(xLabel);
		add(xTextField);
		add(yLabel);
		add(yTextField);
	}
}